1.0
1.0
patch /v1/log-groups/{log_group_id}
Description
Set the Log group.
State ACTIVE (SUPPORTED)
| Version | Not Before |
|---|---|
| 1.0 | 20260630 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | log_group_id required | Log group ID Example : bce52822147744b4afe0187164caa2e8 | string | None |
| body | body required | LogGroupSetRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | LogGroupShowResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/log-groups/{log_group_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = servicewatch 1.0"
Request body
{
"retention_period": 365
}
Example HTTP response
Response 200
{
"log_group": {
"account_id": "1bcf39b344ac41cbaf0466ff0d2bebad",
"created_at": "2026-03-25T15:12:03.741Z",
"created_by": "f4b8a4c4017f4f8d8399f0c02582ae47",
"id": "bce52822147744b4afe0187164caa2e8",
"modified_at": "2026-03-25T15:12:03.741Z",
"modified_by": "f4b8a4c4017f4f8d8399f0c02582ae47",
"name": "testlg01",
"retention_period": 365,
"retention_period_name": "1 year",
"status": "ACTIVE"
}
}